<template>
	<mind-view>
		<template v-slot:toolbar-actions>
			<el-button 
				type="primary" 
				plain 
				icon="el-icon-new" 
				size="small" 
				@click="onNew()"
				>Nueva Comisión
			</el-button>
		</template>
		<mind-table :data="RESOURCE_LIST" 
			row-key="id" 
			:row-class-name="tableRowClassName"
			:actions="{edit:true, delete:true}"
			@edit="onEdit"   @delete="onDelete">
			<el-table-column sortable prop="nombre" label="Nombre"  />
			<el-table-column  sortable prop="comision" label="Comisión" >
				<template v-slot="{row}">
					{{row.comision}}%
				</template>
			</el-table-column>
			<el-table-column  sortable prop="gastosAgencia" label="Gastos Agencia" >
				<template v-slot="{row}">
					{{row.gastosAgencia}}%
				</template>
			</el-table-column>
			<el-table-column  sortable prop="combustibleAgencia" label="Combustible Agencia" >
				<template v-slot="{row}">
					{{row.combustibleAgencia}}%
				</template>
			</el-table-column>
		</mind-table>
		<template v-slot:child>
			<router-view :key="$route.fullPath"  ></router-view>
		</template>
	</mind-view>
</template>

<script>
import comisiones from '@/model/comisiones'

export default {
  async created() {
		comisiones.fetch({})
		.then((response)=>{
			this.RESOURCE_LIST = response.value
		})

	},
	methods: {
		onNew() {
			this.$router.push(`${this.$route.path}/new`)
		},
		onEdit(row) {
			this.$router.push(`${this.$route.path}/${row.id}`)
		},

		onDelete(row) {
			this.$confirm(`¿Eliminar la Comisión ${row.nombre}?`, 'Atención', {
				confirmButtonText: 'OK',
				cancelButtonText: 'Cancelar',
				type: 'warning'
			}).then(async () => {
				this.selectedRow = null
				comisiones.delete(row)
			}).catch(() => {
				this.$message({
					type: 'info',
					message: 'Eliminación Cancelada',
					duration: 1500,
				});
			});
		},


	},
	data() {
		return {
			RESOURCE_LIST: []
		}
	}
	
}
</script>
<style >
	.el-table .disabled {
    /* background: #f0f9eb; */
		text-decoration: line-through;
		color: rgb(158, 154, 154);
	}
</style>
